Subscription 5.0.0

Date: February 12, 2024
Stability: Beta
Compatibility: PHP 7, 8.0, 8.1 or 8.2
System Requirements: Joomla 5

Vorsicht: Bitte testen Sie die Beta-Version immer gr├╝ndlich, bevor Sie sie auf einem Produktivsystem verwenden.

New Feature

  • Bootstrap 5 multi-column layout: Add entries 5, 7-11 in control-group width selection

Bugfixes

  • Fix Installation Problems when directory images/visforms is missing

Improvements

  • Complete code refactoring in regard to Joomla 5 code base
  • Remove the dependency on the Joomla plugin ‘Behaviour - Backward Compatibility’
  • Complete refactoring of event management: Use Joomla Dispatcher and Event objects

Removed Feature

Support for outdated UI-Frameworks Bootstrap 2, 3, 4 and UIkit 2 removed

Release Notes

Natives Visforms f├╝r Joomla 5 Released

Bereits wenige Tage nach dem Release der ersten stabilen Joomla 5 Version haben wir Visforms und Visforms Subscription f├╝r Joomla 5 released. Dies war die Version 4.4.0. Visforms und Visforms Subscription 4.4.x sind ├ťbergangsversionen, die sowohl auf Joomla 4 als auch auf Joomla 5 laufen.

Hinweis: Visforms und Visforms Subscription 4.4.x ben├Âtigen das Joomla Plugin 'Behaviour - Abw├Ąrtskompatibilit├Ąt'.

Heute haben wir Visforms und Visforms Subscription 5.0.0 released. Visforms und Visforms Subscription 5 sind native Produkte f├╝r Joomla 5.

Hinweis: Visforms und Visforms Subscription 5.0.0 ben├Âtigen das Joomla Plugin 'Behaviour - Abw├Ąrtskompatibilit├Ąt' nicht mehr.

Auch wenn Joomla 4 und Joomla 5 ├Ąu├čerlich sehr ├Ąhnlich aussehen, unterscheidet sich zugrundeliegende Strukturen an vielen Stellen stark. Joomla adaptiert sich kontinuierlich an den neuesten Standard der Technik. Deshalb waren f├╝r die Entwicklung einer mit Joomla 5 nativ kompatiblen Visforms und Visforms Subscription Version, ebenfalls umfangreiche ├änderungen an Struktur und Code notwendig.

Visforms und Visforms Subscription 5.0.0 sind Beta-Versionen. Das Update wird nicht im Joomla Update Manager angezeigt.

Hinweis: Sie m├╝ssen die Installationsdateien manuell von unserer Webseite herunterladen und manuell ├╝ber den Joomla Installer installieren.

Hinweis: Bitte testen Sie Visforms und Visforms Subscription 5.0.0 gr├╝ndlich, bevor Sie es auf einem produktiven System verwenden.

Visforms und Visforms Subscription 5 sind nicht mehr kompatibel mit Joomla 4. Sie k├Ânnen auf Joomla 4 nicht installiert werden.